QGIS Application - Bug report #18507
Crash - instability after adding string field in attribute manager
2018-03-21 08:18 PM - Matthew Bodnar

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.0.0 Regression?: No
Operating System: WIN 10 1709 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26395
Description

User Feedback

Opened attribute table of vector file

toggled edit to ON

Added a String field with a value of 10

selected the filter button BEFORE saving edits = CRASHED

Report Details

Crash ID: 144745809a8d289475f6946a073513913e52ab84
Stack Trace

QgsAttributeFormWidget::setMode :
QgsAttributeForm::setMode :
QMetaObject::activate :
QAction::setChecked :

QAction::activate :

QAbstractButton::click :
QAbstractButton::mouseReleaseEvent :
QToolButton::mouseReleaseEvent :
QWidget::event :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001¢80b0c3
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Associated revisions

Revision c8f59798 - 2018-03-22 07:23 AM - Nyall Dawson

Fix crash in attribute form after adding field

Fixes #18507

Revision 3d009f9a - 2018-03-22 07:26 AM - Nyall Dawson

Fix crash in attribute form after adding field

Fixes #18507

(cherry-picked from c8f5979)

History

#1 - 2018-03-22 06:02 AM - Matthew Bodnar

| should have selected YES for the Crash QGIS option in the issue log.

Just another note, this will crash QGIS after adding new field unless you save edits and restart project.

#2 - 2018-03-22 07:23 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|c8f597983b17d2418f729214fcb4cfcbe5fb6118.
